Patients API
Get a patient
Get a patient in the current workspace.
GET
/v1/patients/{patientId}Request
Path, query, and JSON body fields accepted by this operation.
patientIdstring<uuid>requiredpath
Response
Successful responses use Dawn's data envelope.
dataPatientrequiredidstring<uuid>requiredworkspaceIdstring<uuid>requiredfirstNamestringrequiredmin length 1max length 80lastNamestringrequiredmin length 1max length 80emailstring<email> | nullrequiredphonestring | nullrequiredmin length 5max length 40dateOfBirthstring<date> | nullrequiredstatus"active" | "inactive" | "archived"requirednotesstring | nullrequiredmax length 50000createdAtstring<date-time>requiredupdatedAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
404The patient could not be found.422The patient ID is invalid.503The patient is temporarily unavailable.
Last updated on